{% extends "base.html" %}
{% load static %}
{% block header %}
  <script>
  function showPage() {
    document.getElementById("first").style.display = "none";
    document.getElementById("loader").style.display = "block";
    document.getElementById("second").style.display = "block";
  }
  </script>
  <link rel="stylesheet" href="{% static "harvester/css/loader.css" %}">
  <style>
    .button1 {
      color: white;
      background-color: #555555;
      border-radius: 8px;
      border: 2px solid #555555;
    }
    .button1:hover {
      background-color:  #e7e7e7 ;
      color:  #555555;
    }

  </style>
{% endblock header %}
{% block section_title %}
<div>
  <h1>Some Text</h1>
</div>
{% endblock section_title %}

{% block content %}

<div class='container-fluid' style='margin-top: 15px'>
  <div class="row"  id='first'>
    <div class="col-sm-6" style="margin-top: 10px">
      Let's harvest some data! Select the leaderboard to scrape:
    </div>

    <div class="col-sm-6" style="text-align: center; margin-top: 10px">
      <form method="post">
        {% csrf_token %}
        <select name="choice">
            {% for index, text in titles.items %}
            <option value="{{ index }}">{{ text }}</option>
            {% endfor %}
        </select>
          <button class="button button1" type="submit" name="run_script" onclick="showPage()">Run harvest</button>
      </form>
    </div>

  </div>

  <div class="row">
    <div id="loader"></div>
  </div>
  <div class="row" id="second" style="display:none">
    Some text just to try
  </div>

</div>




{% endblock content %}
